commit: b897c9f5896f911a3f887bf01de7d155ec738e9a
Author: Virgil Dupras <vdupras <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 13 12:45:37 2018 +0000
Commit: Virgil Dupras <vdupras <AT> gentoo <DOT> org>
CommitDate: Mon Aug 13 12:45:37 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b897c9f5
dev-python/click: revert "remove old"
dev-embedded/platformio depends on this unstable version...
Package-Manager: Portage-2.3.46, Repoman-2.3.10
dev-python/click/Manifest | 1 +
dev-python/click/click-5.1.ebuild | 48 +++++++++++++++++++++++++++++++++++++++
2 files changed, 49 insertions(+)
diff --git a/dev-python/click/Manifest b/dev-python/click/Manifest
index 9cacca9fc79..bf5b5c0c706 100644
--- a/dev-python/click/Manifest
+++ b/dev-python/click/Manifest
@@ -1,2 +1,3 @@
+DIST click-5.1.tar.gz 275592 BLAKE2B
0a58e210003f88081fd2ba8e9f401c74d8d61758ae096fde9fa4aebe8a819623aeb90106bf141d5193d632d70488629cf63833297dc1e4b200824cee205c3c4b
SHA512
b860b0227644f5d1cc24d41e66985421ec971f11f3f596fb46508fdc787200b949e7ef29b2035421ebb0115384688da03c3c95a0d6acc58dd3b566b32a2b7c6a
DIST click-6.6.tar.gz 283420 BLAKE2B
1fdc90ca65d18153d6260b6753e14a1d94cae77ab7f52dcda4fb439f9fdfeea8fdc33b1ce60e93711ba40ecdc508dc3fc5f8aadc371bd85b7dca1bfa070786c2
SHA512
5650cfe6c8b55a7e823e22248964143278d61383dac63497508a864807f1950f9dd5d76ce6a501e589dd81fed6e2a1248d3f8973be25a91950896b7408dc88bc
DIST click-6.7.tar.gz 279019 BLAKE2B
cc1e59d0a34ccb4ce50c8a2982b308d23cd525ceb44d84a493c0fe9b5a6f7f616e8a4c440ae211fca811a2bf904ddb75d93618f3c6ac7bbe6b1ed022710dab1f
SHA512
d454369fe1acb01c2210a61e15f45ac9cc77102c93345257f4ef3090bd8f31f1ccc49d9fd6ea670cddca9f715ad5db29368b4eecd95abff50d1033c4f7a967d6
diff --git a/dev-python/click/click-5.1.ebuild
b/dev-python/click/click-5.1.ebuild
new file mode 100644
index 00000000000..f6772af7b4c
--- /dev/null
+++ b/dev-python/click/click-5.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python package for creating beautiful command line interfaces"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+HOMEPAGE="http://click.pocoo.org/ https://pypi.org/project/click/"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390
~sh ~sparc ~x86"
+IUSE="doc examples test"
+
+REQUIRED_USE="doc? ( || ( $(python_gen_useflags 'python2*') ) )"
+
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+pkg_setup() {
+ use doc && DISTUTILS_ALL_SUBPHASE_IMPLS=( 'python2*' )
+}
+
+python_prepare_all() {
+ # Prevent un-needed d'loading
+ sed -e "s/, 'sphinx.ext.intersphinx'//" -i docs/conf.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ emake test
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/_build/html/. )
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}